Skip to main content
POST
Get All User Data
Use this API to get all feature data for a user stored in Velt.
  • The data will be paginated and returned in chunks of 100 items per feature data.
  • You can use the nextPageToken returned in the response to fetch the next chunk of data.
  • If there are no more items to fetch, the nextPageToken will not be returned.
  • Here is the data that will be included:
    • User profile data: If they were added to any organization, document or folder.
    • Comments data: All the comments created by the user or where they were involved in.
    • Reactions data: All the reactions created by the user.
    • Notifications data: All the notifications where the user was involved in.
    • Recordings data: All the recordings created by the user.
This API may take a few seconds to return a response depending on the dataset size.

Endpoint

POST https://api.velt.dev/v2/users/data/get

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Request

Response

Success Response

Failure Response